# GET /control/v1/activity

> ListActivity

- `operationId`: `ControlV1ActivityListActivity`
- Group: [Activity](https://sference.com/docs/api-reference/activity.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/activity/ControlV1ActivityListActivity

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `page` | query | integer | no | — |
| `page_size` | query | integer | no | — |
| `type` | query | string \| null | no | — |
| `status` | query | string \| null | no | — |
| `model` | query | string \| null | no | — |
| `created_after` | query | string \| null | no | — |
| `created_before` | query | string \| null | no | — |
| `api_key_id` | query | string \| null | no | Filter activity to one API key |
| `user_id` | query | string \| null | no | Team admins: filter activity to one member |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ActivityListResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `items` | array<ActivityItem> | yes | — | — |
| `page` | integer | yes | — | — |
| `page_size` | integer | yes | — | — |
| `total` | integer | yes | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/activity/ControlV1ActivityListActivity
